//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializecreateGameSessionResponse")
inline fun createGameSessionResponse(block: gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse =
  gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponseKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse.newBuilder()).apply { block() }._build()
object CreateGameSessionResponseKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse = _builder.build()

    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    var gameSession: gg.dsepractice.chinese.v1alpha1.GameSession
      @JvmName("getGameSession")
      get() = _builder.getGameSession()
      @JvmName("setGameSession")
      set(value) {
        _builder.setGameSession(value)
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    fun clearGameSession() {
      _builder.clearGameSession()
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     * @return Whether the gameSession field is set.
     */
    fun hasGameSession(): kotlin.Boolean {
      return _builder.hasGameSession()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse.copy(block: gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse =
  gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponseKt.Dsl._create(this.toBuilder()).apply { block() }._build()

val gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponseOrBuilder.gameSessionOrNull: gg.dsepractice.chinese.v1alpha1.GameSession?
  get() = if (hasGameSession()) getGameSession() else null

